import { pgTable, integer, varchar, text,uuid} from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const compartment = pgTable("compartment", {
	id: uuid().defaultRandom().primaryKey().notNull(),
	name: varchar({ length: 100 }).notNull(),
	description: varchar({ length: 300 }),
    ...timestamps
});
